<?session_start();
include("db.php");
$db->openDB();
$pa=@intval($_GET['pa']);
$p = $_GET['p'];
$id = $_GET['id'];
$msgid = $_GET['msgid'];
$r = $_GET['r'];
$pp = $_POST['pp'];
$nick = $_POST['nick'];

?>
<link rel="shortcut icon" href="ico1.ico" type="image/x-icon" />
 <title>Мрак Подземелья</title></head>

 <body>
 <div class='main' style='word-wrap:break-word;'>
 <div class=top>
 <center><font color="white">Поддержка</font></center>

 </div>
 <div class='line'></div>
 <?
  if(!$_SESSION[s]){
 echo"<div style=\"padding:10px;text-align:center\">Чтобы написать в техподдержку,авторизуйтесь</div>";
 include("footer.php");
 die;
 }
 ?>
 <br/><div class='center'>

 </div><div class=margin_bottom></div>
 <form action="support.php" method="POST" name="form">
 <p>
 <select name="category" class="select"> 
 <option value="0">Выберите тему</option> 
<option value="1">Общие вопросы</option> 
<option value="2">Вопросы об оплате</option>
<option value="3">Ошибки игры</option>
<option value="4">Другое</option></select>
<br/>
<span class=grey>Ваше сообщение:</span>
<br/>
<textarea name="text" class="text longest" rows="3" cols="30" maxlength="3000"/></textarea>
<br/><input name="submit" class="button" type="submit" value="Отправить"/></form><div class=margin_bottom></div>
<div class=point-line></div> <p>
<span class=grey>
<?
$category = $_POST['category'];
$text = $_POST['text'];
$tt=time();
$SS=mysql_query("SELECT * FROM support_time WHERE ST_NICK=\"$_SESSION[s]\"");
$SS2=mysql_fetch_assoc($SS);
if(isset($text)){
if($text==''){echo'<img src="img/bad.png" width="16" height="16" alt=""> <font color="#A23232">Нельзя отправить пустое сообщение</font>';}
if($category==0){echo'<br/><img src="img/bad.png" width="16" height="16" alt=""><font color="#A23232"> выберите категорию</font><br/>';}
if($tt<$SS2[ST_TIME]){echo'вы уже обращались в службу поддержки следующий раз вы сможете обратиться в нее через:'.round(($SS2[ST_TIME]-$tt)/60);echo' мин.<br/>';}
if($text!='' AND $category!=0 AND strlen($text)<1501 AND $tt>$SS2[ST_TIME]){
if(strlen($text)){echo'Сообщение больше чем 1500 символов';}
$INS=mysql_query("SET NAMES cp1251");
$timT=time()+900;
$timmm = date("Y-m-d h:i:s");
if(mysql_num_rows($SS)<1){$TTIMI=mysql_query("INSERT INTO support_time (ST_NICK,ST_TIME) VALUES ('$_SESSION[s]','$timT')");}
if(mysql_num_rows($SS)>0){$TTIME=mysql_query("UPDATE support_time SET ST_TIME=\"$timT\" WHERE ST_NICK=\"$_SESSION[s]\"");}
$INs=mysql_query("INSERT INTO support (S_NICK,S_MESS,S_CAT,time) VALUES ('$_SESSION[s]','$text','$category','$timmm')");
print('<SCRIPT>location.href="support.php";</SCRIPT>');
}
}
$S_MESS=mysql_query("SET NAMES cp1251");
$S_MESS=mysql_query("SELECT * FROM support WHERE S_NICK=\"$_SESSION[s]\" ORDER BY S_MESS DESC LIMIT 5");
if(mysql_num_rows($S_MESS)<1){
echo"<font color=\"green\"><img src='img/msg.png' width='16' height='16' alt=''/> 
 вы еще не обращались в службу поддержки</font>";}
$frnds = mysql_query("SET NAMES cp1251");
$frnds = mysql_query("SELECT * FROM support WHERE S_NICK=\"$_SESSION[s]\"");
while($frnds2 = mysql_fetch_assoc($frnds)){
$msg = mysql_query("SET NAMES cp1251");
$msg = mysql_query("SELECT * FROM support_otv WHERE S_ID=\"$frnds2[S_ID]\" AND S_KOMU=\"$_SESSION[s]\"");
$m1 = mysql_query("SET NAMES cp1251");
$m1 = mysql_query("SELECT * FROM support_otv WHERE S_ID=\"$id\" AND S_KOMU=\"$_SESSION[s]\"");

$frnds2[S_CAT]=str_replace("1","Общие вопросы",$frnds2[S_CAT]);
$frnds2[S_CAT]=str_replace("2","Вопросы об оплате",$$frnds2[S_CAT]);
$frnds2[S_CAT]=str_replace("3","Ошибки игры",$frnds2[S_CAT]);
$frnds2[S_CAT]=str_replace("4","Другое",$frnds2[S_CAT]);
echo "<div class=\"frnds\" style=\"padding:5px\"><a href=\"?r=read&id=$frnds2[S_ID]\"><img src=\"img/ank.png\" width=\"16\" height=\"16\"> ".$frnds2[S_MESS]." (".mysql_num_rows($msg).")</a> </div>";
;

while($m2 = mysql_fetch_assoc($m1)){

if($r == 'read' AND $id == $frnds2[S_ID] AND mysql_num_rows($m1)>0){
echo"<div class=\"suckks\" style=\"padding:3px;padding-left:20px\"><img src=\"img/ar.png\" width=\"12\" height=\"12\"> $m2[S_MESS]</div>";

//единственное,что здесь можно сделать, при удалении сообщений,сделать новый запрос на их вывод и там уже химичить с выводом сообщений
}
}
}
?>
</span></p> 
<div class='line'></div><div class='menu'><li><a href=game.php>
<img src='img/attck.png' alt='' width='24' height='24'>в игру</a>
</li>
</div>
<?include("footer.php");?>